package utals;

public class Bankszmla {

    private final String szmlaszm;
    private int egyenleg;
    private final String tulajdonosNeve;
    
    public Bankszmla(String szmlaszm, String tulajdonosNeve) {
        this.szmlaszm = szmlaszm;
        this.tulajdonosNeve = tulajdonosNeve;
        this.egyenleg = 0;
    }
    
    public String szmlaszm() {
        return this.szmlaszm;
    }

    public int egyenleg() {
        return this.egyenleg;
    }

    public String tulajdonosNeve() {
        return tulajdonosNeve;
    }
    
    public synchronized void jvr(int sszeg) throws NegatvsszegKivtel {
        if(sszeg < 0) {
            throw new NegatvsszegKivtel();
        }
        egyenleg += sszeg;
    }
    
    public synchronized void terhel(int sszeg) throws NincsFedezetKivtel, NegatvsszegKivtel {
        if(sszeg < 0) {
            throw new NegatvsszegKivtel();
        }
        if(egyenleg < sszeg) {
            throw new NincsFedezetKivtel(this, sszeg);
        }
        egyenleg -= sszeg;
    }
    
}
